System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.Image System.ComponentModel.Editor("System.Drawing.Design.BitmapEditor, System.Drawing.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", typeof(System.Drawing.Design.UITypeEditor)) System.Runtime.InteropServices.ComVisible(true)

A bitmap consists of the pixel data for a graphics image and its attributes. There are many standard formats for saving a bitmap to a file. ndptecgdiplus supports the following file formats: BMP, GIF, EXIF, JPG, PNG and TIFF. For more information about supported formats, see Types of Bitmaps.

You can create images from files, streams, and other sources by using one of the constructors and save them to a stream or to the file system with the method. Images are drawn to the screen or to memory by using the method of the object. For a list of topics about working with image files, see Working with Images, Bitmaps, Icons, and Metafiles.

The class is not accessible across application domains. For example, if you create a dynamic and create several brushes, pens, and bitmaps in that domain, then pass these objects back to the main application domain, you can successfully use the pens and brushes. However, if you call the method to draw the marshaled , you receive the following exception.

Remoting cannot find field "native image" on type "System.Drawing.Image".

Encapsulates a ndptecgdiplus bitmap, which consists of the pixel data for a graphics image and its attributes. A is an object used to work with images defined by pixel data.

- Constructor
  To be added

  Initializes a new instance of the class from the specified existing image.

  The from which to create the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  You must keep the stream open for the lifetime of the .

  Due to a limitation of the ndptecgdiplus decoder, an is thrown if you construct a bitmap from a .png image file with a single dimension greater than 65,535 pixels.

  Initializes a new instance of the class from the specified data stream.

  The data stream used to load the image.
  1.0.5000.0
  2.0.0.0
- Constructor

  The file name and path can be relative to the application or an absolute path. Use this constructor to open images with the following file formats: BMP, GIF, EXIF, JPG, PNG and TIFF. For more information about supported formats, see Types of Bitmaps. The file remains locked until the is disposed.

  Initializes a new instance of the class from the specified file.

  The bitmap file name and path.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified existing image, scaled to the specified size.

  The from which to create the new .
  The structure that represent the size of the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor creates a with a enumeration value of .

  Initializes a new instance of the class with the specified size.

  The width, in pixels, of the new .
  The height, in pixels, of the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  You must keep the stream open for the lifetime of the .

  Due to a limitation of the ndptecgdiplus decoder, an is thrown if you construct a bitmap from a .png image file with a single dimension greater than 65,535 pixels.

  Initializes a new instance of the class from the specified data stream.

  The data stream used to load the image.
  true to use color correction for this ; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor

  Use this constructor to open images with the following file formats: BMP, GIF, EXIF, JPG, PNG and TIFF. For more information about supported formats, see Types of Bitmaps. The file remains locked until the is disposed.

  Initializes a new instance of the class from the specified file.

  The name of the bitmap file.
  true to use color correction for this ; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor

  This constructor combines the namespace of the given type with the string name of the resource and looks for a match in the assembly manifest. For example you can pass in the type and to this constructor and it will look for a resource named System.Windows.Forms.Button.bmp.

  Initializes a new instance of the class from a specified resource.

  The class used to extract the resource.
  The name of the resource.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class from the specified existing image, scaled to the specified size.

  The from which to create the new .
  The width, in pixels, of the new .
  The height, in pixels, of the new .
  1.0.5000.0
  2.0.0.0
- Constructor

  The new that this method creates takes its horizontal and vertical resolution from the and properties of , respectively.

  Initializes a new instance of the class with the specified size and with the resolution of the specified object.

  The width, in pixels, of the new .
  The height, in pixels, of the new .
  The object that specifies the resolution for the new .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified size and format.

  The width, in pixels, of the new .
  The height, in pixels, of the new .
  The pixel format for the new . This must specify a value that begins with .
  1.0.5000.0
  2.0.0.0
- Constructor

  The caller is responsible for allocating and freeing the block of memory specified by the parameter. However, the memory should not be released until the related is released.

  Initializes a new instance of the class with the specified size, pixel format, and pixel data.

  The width, in pixels, of the new .
  The height, in pixels, of the new .
  Integer that specifies the byte offset between the beginning of one scan line and the next. This is usually (but not necessarily) the number of bytes in the pixel format (for example, 2 for 16 bits per pixel) multiplied by the width of the bitmap. The value passed to this parameter must be a multiple of four..
  The pixel format for the new . This must specify a value that begins with .
  Pointer to an array of bytes that contains the pixel data.
  1.0.5000.0
  2.0.0.0
- Method
  System.Drawing.Bitmap `` `` To be added

  Creates a copy of the section of this defined by structure and with a specified enumeration.

  The new that this method creates.

  Defines the portion of this to copy. Coordinates are relative to this . The pixel format for the new . This must specify a value that begins with . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Bitmap `` `` To be added

  Creates a copy of the section of this defined with a specified enumeration.

  The that this method creates.

  Defines the portion of this to copy. Specifies the enumeration for the destination . 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Bitmap `` To be added

  Creates a from a Windows handle to an icon.

  The that this method creates.

  A handle to an icon. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Bitmap `` ``

  requires security permission to call unmanaged code. For a managed alternative for creating a bitmap from an embedded resource, see . works only with bitmaps that are named resources in a DLL.

  Creates a from the specified Windows resource.

  The that this method creates.

  A handle to an instance of the executable file that contains the resource. A string that contains the name of the resource bitmap. 1.0.5000.0 2.0.0.0
- Method
  System.IntPtr

  You are responsible for calling the ndptecgdi DeleteObject method to free the memory used by the ndptecgdi bitmap object. For more information about GDI bitmaps, see Bitmaps in the Windows GDI documentation.

  Creates a ndptecgdi bitmap object from this .

  A handle to the ndptecgdi bitmap object that this method creates.

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.IntPtr ``

  You are responsible for calling the ndptecgdi DeleteObject method to free the memory used by the ndptecgdi bitmap object. For more information about GDI bitmaps, see Bitmaps in the Windows GDI documentation.

  Creates a ndptecgdi bitmap object from this .

  A handle to the ndptecgdi bitmap object that this method creates.

  A structure that specifies the background color. This parameter is ignored if the bitmap is totally opaque. 1.0.5000.0 2.0.0.0 System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.IntPtr

  Initially, an icon created from the handle will have the same size as the original bitmap.

  Returns the handle to an icon.

  A Windows handle to an icon with the same image as the .

  1.0.5000.0
  2.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
- Method
  System.Drawing.Color `` `` To be added

  Gets the color of the specified pixel in this .

  A structure that represents the color of the specified pixel.

  The x-coordinate of the pixel to retrieve. The y-coordinate of the pixel to retrieve. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Imaging.BitmapData `` `` ``

  Use the method to lock an existing bitmap in system memory so that it can be changed programmatically. You can change the color of an image with the method, although the method offers better performance for large-scale changes.

  The specifies the attributes of the , such as size, pixel format, the starting address of the pixel data in memory, and length of each scan line (stride).

  When calling this method, you should use a member of the enumeration that contains a specific bits-per-pixel (BPP) value. Using values such as and will throw an . Also, passing the incorrect pixel format for a bitmap will throw an .

  Locks a into system memory.

  A that contains information about this lock operation.

  A structure that specifies the portion of the to lock. An enumeration that specifies the access level (read/write) for the . A enumeration that specifies the data format of this . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Drawing.Imaging.BitmapData `` `` `` ``

  Use the method to lock an existing bitmap in system memory so that it can be changed programmatically. You can change the color of an image with the method, although the method offers better performance for large-scale changes.

  When calling this method, you should use a member of the enumeration that contains a specific bits-per-pixel (BPP) value. Using values, such as and , will throw an . Also, passing the incorrect pixel format for a bitmap will throw an .

  This version of the method is intended to be used with a value of .

  Locks a into system memory

  A that contains information about the lock operation.

  A rectangle structure that specifies the portion of the to lock. One of the values that specifies the access level (read/write) for the . One of the values that specifies the data format of the . A that contains information about the lock operation.
- Method
  System.Void

  The system palette defines one color as the default transparent, or alpha, color. This method makes the default transparent color transparent for this . If no transparent color is specified by the system, is the transparent color.

  When you call , the bitmap will be converted to the format, as this format supports an alpha channel.

  Makes the default transparent color transparent for this .

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  When you call , the bitmap will be converted to the format, as this format supports an alpha channel.

  Makes the specified color transparent for this .

  The structure that represents the color to make transparent. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  Use method to set the color of an individual pixel in an image programmatically. You can also change an image programmatically by using the method. Typically for large-scale changes, the method offers better performance.

  Sets the color of the specified pixel in this .

  This method does not return a value.

  The x-coordinate of the pixel to set. The y-coordinate of the pixel to set. A structure that represents the color to assign to the specified pixel. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use this method to set the desired resolution on a newly created bitmap. Changing the resolution of the image does not change its physical size.

  Sets the resolution for this .

  The horizontal resolution, in dots per inch, of the . The vertical resolution, in dots per inch, of the . 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The specifies the attributes of the , such as size, pixel format, the starting address of the pixel data in memory, and length of each scan line (stride).

  Unlocks this from system memory.

  A that specifies information about the lock operation. 1.0.5000.0 2.0.0.0